Subject: Re: bug#11463: 24.1.50; vc-dir buffer is not updated correctly after commit

From: Dmitry Gutov <[email-masked]>
Date: Fri, 5 May 2017 01:59:52 +0300

Hey Christoph,

Is this still a problem?

Christoph Scholtes <[email-masked]> writes:

 > Point vc-dir to a directory with changed files in the directory itself
 > and in one or more subdirectories. Invoke vc-next-action to commit all
 > files. Files show up-to-date after that. Press g to refresh the buffer
 > and all files disappear, but any subdirectory that contained files that
 > were committed is till present in the list. The directories should be
 > removed from the list unless there are still changes present in them.

I don't know since when, but with the Git backend at least, the files
you've just committed changes in, stay in the list as 'up-to-date', and
pressing 'g' does not remove them.

You can press `x', however, to remove all up-to-date and ignored files,
as well as "empty" directories, from the VC-Dir buffer.

Would you say it's good enough?